Actualizaciones

Aviso importante sobre la actualización de los agentes VDA

Si el componente Personal vDisk (PvD) se ha instalado alguna vez en un VDA, dicho VDA no se puede actualizar a la versión 1912 LTSR ni a ninguna posterior. Para utilizar el nuevo VDA, debe desinstalar el VDA actual y, a continuación, instalar el nuevo.

Este paso debe seguirse aunque nunca haya usado PvD.

Averigüe si le afecta

Cómo podría haberse instalado PvD en versiones anteriores:

  • En la interfaz gráfica del instalador de VDA, PvD era una opción en la página Componentes adicionales. La versión 7.15 LTSR y las 7.x anteriores habilitaban esta opción de forma predeterminada. Por lo tanto, si aceptó los valores predeterminados (o habilitó explícitamente la opción en cualquier versión), PvD se ha instalado.
  • En la línea de comandos, la opción /baseimage instaló PvD. Si especificó esta opción o utilizó un script que contenía esta opción, PvD se ha instalado.

Si no sabe si el VDA tiene PvD instalado, ejecute el instalador del nuevo VDA (1912 LTSR o una versión posterior) en la máquina o en la imagen.

  • Si PvD está instalado, aparece un mensaje que indica que hay un componente incompatible.
    • Para la interfaz gráfica, haga clic en Cancelar en la página que contiene el mensaje y, a continuación, confirme que quiere cerrar el instalador.
    • Desde la CLI, el comando simplemente falla con el mensaje indicado.
  • Si PvD no está instalado, la actualización continúa.

Qué se debe hacer

Si el VDA no tiene PvD instalado, siga el procedimiento de actualización habitual.

Si el VDA tiene PvD instalado:

  1. Desinstale el VDA actual. Para obtener información detallada, consulte Eliminar componentes.
  2. Instale el nuevo VDA.

Si quiere continuar usando PvD en sus máquinas con Windows 7 o Windows 10 (1607 y versiones anteriores, sin actualizaciones), VDA 7.15 LTSR es la última versión compatible.

Introducción

Citrix mantiene todos los componentes de Citrix Virtual Apps and Desktops Service que haya en la implementación, excepto los agentes VDA.

Para actualizar un VDA, descargue el instalador (de la misma manera que cuando lo instaló en su momento) y ejecútelo en la máquina o la imagen. Puede usar la interfaz gráfica o de línea de comandos del instalador.

Si en su momento instaló el VDA mediante VDAWorkstationCoreSetup.exe, conservará esa configuración si actualiza el VDA a la versión más reciente del mismo instalador. Si ejecuta VDAWorkstationSetup.exe en esa máquina, puede habilitar las funciones que no se admitían en VDAWorkstationCoreSetup.exe. (Tenga en cuenta que algunas de esas funciones pueden estar habilitadas de forma predeterminada en VDAWorkstationSetup.exe.) Además, tendrá la opción de instalar la aplicación Citrix Workspace.

Se produce un reinicio al actualizar un VDA a la versión 7.17 o una versión posterior respaldada. Ese reinicio no se puede evitar. La actualización se reanuda automáticamente después del reinicio (a menos que especifique /noresume en la línea de comandos).

Después de actualizar los VDA, actualice las imágenes maestras y los catálogos que utilicen ese VDA.

Puede obtener información sobre los cambios en los nombres de producto.

Sistemas operativos anteriores

Para máquinas con sistemas operativos donde ya no se pueden instalar los VDA más recientes (por ejemplo Windows 7 y Windows Server 2008 R2), dispone de varias opciones.

  • Restablecer la imagen de la máquina a una versión Windows respaldada y, a continuación, instalar el nuevo VDA.
  • Si restablecer la imagen de la máquina no es una opción, pero quiere actualizar el sistema operativo, desinstale el agente VDA antes de actualizar el sistema operativo. De lo contrario, el VDA entrará en un estado no respaldado. A continuación, instale el nuevo VDA.
  • Si quiere seguir usando máquinas con sistemas operativos que ya no reciben respaldo para el VDA 7.16 (o una versión posterior), XenApp y XenDesktop 7.15 LTSR es la versión de VDA más reciente respaldada en Windows 7 y Windows Server 2008 R2.
    • Si la máquina tiene instalada la versión LTSR 7.15 e intenta instalar una versión más reciente, aparecerá un mensaje que le informará de que usa la última versión respaldada.
    • Si la máquina tiene instalada una versión anterior a LTSR 7.15, aparecerá un mensaje que le guiará a CTX139030 para obtener más información. Puede descargar los VDA 7.15 LTSR desde el sitio web de Citrix.

Más información